/*
 Navicat Premium Data Transfer

 Source Server         : localhostMysql
 Source Server Type    : MySQL
 Source Server Version : 80034
 Source Host           : localhost:3306
 Source Schema         : gaswellwatch

 Target Server Type    : MySQL
 Target Server Version : 80034
 File Encoding         : 65001

 Date: 22/11/2024 17:54:19
*/

SET NAMES utf8mb4;
SET FOREIGN_KEY_CHECKS = 0;

-- ----------------------------
-- Table structure for blocks
-- ----------------------------
DROP TABLE IF EXISTS `blocks`;
CREATE TABLE `blocks` (
                          `id` bigint NOT NULL COMMENT '主键',
                          `parent_id` bigint NOT NULL COMMENT '上级标识',
                          `name` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL COMMENT '名称',
                          `details` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL COMMENT '描述',
                          `deleted` bit(1) NOT NULL DEFAULT b'0' COMMENT '是否已删除',
                          `create_by` bigint NOT NULL COMMENT '创建人',
                          `create_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
                          `update_by` bigint NOT NULL COMMENT '更新人',
                          `update_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
                          PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci ROW_FORMAT=DYNAMIC COMMENT='区块管理';

-- ----------------------------
-- Records of blocks
-- ----------------------------
BEGIN;
COMMIT;

-- ----------------------------
-- Table structure for command_points
-- ----------------------------
DROP TABLE IF EXISTS `command_points`;
CREATE TABLE `command_points` (
                                  `command_id` bigint NOT NULL COMMENT '对应指令标识',
                                  `id` bigint NOT NULL COMMENT '主键',
                                  `field` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL COMMENT '采集后转换字段名称',
                                  `name` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL COMMENT '采集后显示名称',
                                  `type` varchar(10) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL COMMENT '数据类型,主要用于读取数据长度控制，int16,uint16,int32,uint32,int64,uint64,float,double,bit,string',
                                  `address` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL COMMENT '采集驱动地址',
                                  `factor` decimal(10,4) NOT NULL COMMENT '乘系数',
                                  `precision` int DEFAULT NULL COMMENT '精度',
                                  `details` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL COMMENT '描述',
                                  `sort_num` int NOT NULL COMMENT '排序号',
                                  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci ROW_FORMAT=DYNAMIC COMMENT='指令点表';

-- ----------------------------
-- Records of command_points
-- ----------------------------
BEGIN;
COMMIT;

-- ----------------------------
-- Table structure for commands
-- ----------------------------
DROP TABLE IF EXISTS `commands`;
CREATE TABLE `commands` (
                            `id` bigint NOT NULL COMMENT '主键',
                            `ref_type` varchar(20) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL COMMENT '引用类型，DEVICE:设备；DEVICE_TYPE:设备类型',
                            `ref_id` bigint NOT NULL COMMENT '引用对象标识',
                            `name` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL COMMENT '指令名称',
                            `type` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL COMMENT '指令类型，Read:读；Write:写；默认Read。',
                            `collection_frequency` int DEFAULT NULL COMMENT '采集频率，默认30秒。采集类指令必填',
                            `details` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL COMMENT '指令描述',
                            PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci ROW_FORMAT=DYNAMIC COMMENT='指令表';

-- ----------------------------
-- Records of commands
-- ----------------------------
BEGIN;
COMMIT;

-- ----------------------------
-- Table structure for department
-- ----------------------------
DROP TABLE IF EXISTS `department`;
CREATE TABLE `department` (
                              `id` bigint NOT NULL,
                              `name` varchar(255) DEFAULT NULL COMMENT '公司名称',
                              `description` varchar(500) DEFAULT NULL COMMENT '描述',
                              `create_time` timestamp NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
                              `update_time` timestamp NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
                              `code` varchar(100) DEFAULT NULL COMMENT '公司编号',
                              PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='部门管理\n';

-- ----------------------------
-- Records of department
-- ----------------------------
BEGIN;
INSERT INTO `department` (`id`, `name`, `description`, `create_time`, `update_time`, `code`) VALUES (1, '第一业务部', '无', '2024-11-17 01:11:07', '2024-11-17 01:11:07', '0001');
INSERT INTO `department` (`id`, `name`, `description`, `create_time`, `update_time`, `code`) VALUES (2, '第二业务部', '无', '2024-11-17 01:11:21', '2024-11-17 01:11:21', '0002');
INSERT INTO `department` (`id`, `name`, `description`, `create_time`, `update_time`, `code`) VALUES (1859299142728155136, 'dasd', '2', '2024-11-21 02:13:54', '2024-11-21 02:13:54', '2');
COMMIT;

-- ----------------------------
-- Table structure for device_types
-- ----------------------------
DROP TABLE IF EXISTS `device_types`;
CREATE TABLE `device_types` (
                                `id` bigint NOT NULL AUTO_INCREMENT COMMENT '主键',
                                `name` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL COMMENT '名称',
                                PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=4 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci ROW_FORMAT=DYNAMIC COMMENT='设备类型';

-- ----------------------------
-- Records of device_types
-- ----------------------------
BEGIN;
COMMIT;

-- ----------------------------
-- Table structure for devices
-- ----------------------------
DROP TABLE IF EXISTS `devices`;
CREATE TABLE `devices` (
                           `id` bigint NOT NULL AUTO_INCREMENT COMMENT '主键',
                           `device_type_id` bigint NOT NULL COMMENT '设备类型',
                           `code` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL COMMENT '设备编号',
                           `group_name` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL COMMENT '分组名称',
                           `product_name` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL COMMENT '设备品牌',
                           `address` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL COMMENT '通讯地址',
                           `collection_flag` bit(1) NOT NULL COMMENT '是否采集标志',
                           `collection_frequency` int NOT NULL DEFAULT '30' COMMENT '采集频率，默认30秒。',
                           `control_type` varchar(20) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL COMMENT '控制类型',
                           `running_mode` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL COMMENT '生产模式，计时器；间开电压',
                           `status` varchar(20) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL COMMENT '状态',
                           `status_time` datetime NOT NULL COMMENT '状态时间',
                           `details` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL COMMENT '描述',
                           `deleted` bit(1) NOT NULL DEFAULT b'0' COMMENT '是否已删除',
                           `create_by` bigint NOT NULL COMMENT '创建人',
                           `create_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
                           `update_by` bigint NOT NULL COMMENT '更新人',
                           `update_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
                           PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci ROW_FORMAT=DYNAMIC COMMENT='设备列表';

-- ----------------------------
-- Records of devices
-- ----------------------------
BEGIN;
COMMIT;

-- ----------------------------
-- Table structure for dictionary
-- ----------------------------
DROP TABLE IF EXISTS `dictionary`;
CREATE TABLE `dictionary` (
                              `id` bigint NOT NULL,
                              `type` varchar(50) NOT NULL COMMENT '字典数据类型',
                              `code` varchar(50) NOT NULL COMMENT '编码',
                              `name` varchar(50) NOT NULL COMMENT '中文名称',
                              `value` varchar(50) NOT NULL COMMENT '字典值',
                              `sort` smallint NOT NULL COMMENT '排序',
                              `create_time` timestamp NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
                              `update_time` timestamp NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
                              PRIMARY KEY (`id`),
                              KEY `type_index` (`type`) USING BTREE,
                              KEY `type_code_index` (`type`,`code`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci ROW_FORMAT=DYNAMIC COMMENT='字典表';

-- ----------------------------
-- Records of dictionary
-- ----------------------------
BEGIN;
INSERT INTO `dictionary` (`id`, `type`, `code`, `name`, `value`, `sort`, `create_time`, `update_time`) VALUES (1859896918377758720, 'testType', 'code1', 'name1', '1', 1, '2024-11-22 17:49:15', '2024-11-22 17:49:15');
INSERT INTO `dictionary` (`id`, `type`, `code`, `name`, `value`, `sort`, `create_time`, `update_time`) VALUES (1859897057574125568, 'testType', 'code2', 'name2', '2', 2, '2024-11-22 17:49:48', '2024-11-22 17:49:48');
INSERT INTO `dictionary` (`id`, `type`, `code`, `name`, `value`, `sort`, `create_time`, `update_time`) VALUES (1859897370766999552, 'testType1', 'code1', 'name1', '1', 1, '2024-11-22 17:51:03', '2024-11-22 17:51:03');
COMMIT;

-- ----------------------------
-- Table structure for gas_wells
-- ----------------------------
DROP TABLE IF EXISTS `gas_wells`;
CREATE TABLE `gas_wells` (
                             `id` bigint NOT NULL AUTO_INCREMENT COMMENT '主键',
                             `company_id` bigint DEFAULT NULL COMMENT '关联公司',
                             `name` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL COMMENT '气井名称',
                             `details` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL COMMENT '描述',
                             `create_by` bigint NOT NULL COMMENT '创建人',
                             `create_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
                             `update_by` bigint NOT NULL COMMENT '更新人',
                             `update_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
                             PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci ROW_FORMAT=DYNAMIC COMMENT='气井管理';

-- ----------------------------
-- Records of gas_wells
-- ----------------------------
BEGIN;
COMMIT;

-- ----------------------------
-- Table structure for menu
-- ----------------------------
DROP TABLE IF EXISTS `menu`;
CREATE TABLE `menu` (
                        `id` bigint NOT NULL,
                        `parent` bigint DEFAULT NULL COMMENT '父节点',
                        `name` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '名称',
                        `code` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '编码',
                        `icon` text CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci COMMENT '图标',
                        `sort` int DEFAULT '0' COMMENT '顺序',
                        `extra` longtext CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci COMMENT '外部数据',
                        `create_time` timestamp NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
                        `update_time` timestamp NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
                        PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci ROW_FORMAT=DYNAMIC COMMENT='菜单管理';

-- ----------------------------
-- Records of menu
-- ----------------------------
BEGIN;
INSERT INTO `menu` (`id`, `parent`, `name`, `code`, `icon`, `sort`, `extra`, `create_time`, `update_time`) VALUES (1834499936926826496, 0, '数据统计', 'summary', NULL, 2, '{\"url\":\"summary\",\"menuType\":{\"key\":\"4\",\"value\":\"\"}}', '2024-09-13 15:50:42', '2024-11-22 17:39:45');
INSERT INTO `menu` (`id`, `parent`, `name`, `code`, `icon`, `sort`, `extra`, `create_time`, `update_time`) VALUES (1834500910013743104, 0, '角色管理', 'roleManageList', NULL, 6, '{\"url\":\"roleManageList\",\"menuType\":{\"key\":\"4\",\"value\":\"\"}}', '2024-09-13 15:54:34', '2024-11-22 17:39:35');
INSERT INTO `menu` (`id`, `parent`, `name`, `code`, `icon`, `sort`, `extra`, `create_time`, `update_time`) VALUES (1834500987037941760, 0, '用户管理', 'userManage', NULL, 3, '{\"url\":\"userManage\",\"menuType\":{\"key\":\"4\",\"value\":\"\"}}', '2024-09-13 15:54:53', '2024-11-22 17:39:20');
INSERT INTO `menu` (`id`, `parent`, `name`, `code`, `icon`, `sort`, `extra`, `create_time`, `update_time`) VALUES (1834501029547212800, 0, '气井管理', 'gasManage', NULL, 1, '{\"url\":\"gasManage\",\"menuType\":{\"key\":\"4\",\"value\":\"\"}}', '2024-09-13 15:55:03', '2024-11-22 17:39:03');
INSERT INTO `menu` (`id`, `parent`, `name`, `code`, `icon`, `sort`, `extra`, `create_time`, `update_time`) VALUES (1834501061923045376, 0, '部门管理', 'agencyManage', NULL, 4, '{\"url\":\"agencyManage\",\"menuType\":{\"key\":\"4\",\"value\":\"\"}}', '2024-09-13 15:55:11', '2024-11-22 17:37:59');
INSERT INTO `menu` (`id`, `parent`, `name`, `code`, `icon`, `sort`, `extra`, `create_time`, `update_time`) VALUES (1834501113332629504, 0, '日志管理', 'logManage', NULL, 7, '{\"url\":\"logManage\",\"menuType\":{\"key\":\"4\",\"value\":\"\"}}', '2024-09-13 15:55:23', '2024-11-22 17:38:35');
INSERT INTO `menu` (`id`, `parent`, `name`, `code`, `icon`, `sort`, `extra`, `create_time`, `update_time`) VALUES (1834501151140085760, 0, '区块管理', 'areaManage', NULL, 5, '{\"url\":\"areaManage\",\"menuType\":{\"key\":\"4\",\"value\":\"\"}}', '2024-09-13 15:55:32', '2024-11-22 17:38:45');
INSERT INTO `menu` (`id`, `parent`, `name`, `code`, `icon`, `sort`, `extra`, `create_time`, `update_time`) VALUES (1834501183620775936, 0, '提醒记录', 'recordingManage', NULL, 8, '{\"url\":\"recordingManage\",\"menuType\":{\"key\":\"4\",\"value\":\"\"}}', '2024-09-13 15:55:40', '2024-11-22 17:37:46');
COMMIT;

-- ----------------------------
-- Table structure for role
-- ----------------------------
DROP TABLE IF EXISTS `role`;
CREATE TABLE `role` (
                        `id` bigint NOT NULL,
                        `name` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '名称',
                        `description` varchar(500) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '描述',
                        `create_time` timestamp NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
                        `update_time` timestamp NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
                        PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci ROW_FORMAT=DYNAMIC  COMMENT='角色管理';

-- ----------------------------
-- Records of role
-- ----------------------------
BEGIN;
INSERT INTO `role` (`id`, `name`, `description`, `create_time`, `update_time`) VALUES (1, '超级管理员', '', '2024-08-20 11:36:35', '2024-11-22 17:53:40');
INSERT INTO `role` (`id`, `name`, `description`, `create_time`, `update_time`) VALUES (1836575681450868736, '测试角色', '', '2024-09-19 09:18:59', '2024-09-19 09:18:59');
INSERT INTO `role` (`id`, `name`, `description`, `create_time`, `update_time`) VALUES (1836581703372505088, '测试角色22', '测试角色2', '2024-09-19 09:42:54', '2024-09-19 09:55:03');
INSERT INTO `role` (`id`, `name`, `description`, `create_time`, `update_time`) VALUES (1836581757135093760, '测试角色234', '测试角色2', '2024-09-19 09:43:07', '2024-09-19 09:46:25');
INSERT INTO `role` (`id`, `name`, `description`, `create_time`, `update_time`) VALUES (1851162080074268672, '测试角色123', 'test', '2024-10-29 15:20:07', '2024-10-29 15:20:07');
INSERT INTO `role` (`id`, `name`, `description`, `create_time`, `update_time`) VALUES (1854116823323115520, '22222', '', '2024-11-06 19:01:13', '2024-11-06 19:01:13');
INSERT INTO `role` (`id`, `name`, `description`, `create_time`, `update_time`) VALUES (1854121363019661312, '3333', '', '2024-11-06 19:19:15', '2024-11-21 00:22:44');
COMMIT;

-- ----------------------------
-- Table structure for role_menu
-- ----------------------------
DROP TABLE IF EXISTS `role_menu`;
CREATE TABLE `role_menu` (
                             `id` bigint NOT NULL,
                             `role_id` bigint DEFAULT NULL COMMENT '角色id',
                             `menu_id` bigint DEFAULT NULL COMMENT '菜单id',
                             `identifier` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '类型（0只能查,1可查可控,2编辑组态）',
                             `create_time` timestamp NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
                             `update_time` timestamp NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
                             PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci ROW_FORMAT=DYNAMIC  COMMENT='角色菜单关联表';

-- ----------------------------
-- Records of role_menu
-- ----------------------------
BEGIN;
INSERT INTO `role_menu` (`id`, `role_id`, `menu_id`, `identifier`, `create_time`, `update_time`) VALUES (2, 1836575681450868736, 1834500910013743104, NULL, '2024-10-29 14:48:57', '2024-10-29 14:49:01');
INSERT INTO `role_menu` (`id`, `role_id`, `menu_id`, `identifier`, `create_time`, `update_time`) VALUES (1851162080078462976, 1851162080074268672, 1834500910013743104, NULL, '2024-10-29 15:20:07', '2024-10-29 15:20:07');
INSERT INTO `role_menu` (`id`, `role_id`, `menu_id`, `identifier`, `create_time`, `update_time`) VALUES (1854116823335698432, 1854116823323115520, 1834499936926826496, NULL, '2024-11-06 19:01:13', '2024-11-06 19:01:13');
INSERT INTO `role_menu` (`id`, `role_id`, `menu_id`, `identifier`, `create_time`, `update_time`) VALUES (1854116823335698433, 1854116823323115520, 1834501029547212800, NULL, '2024-11-06 19:01:13', '2024-11-06 19:01:13');
INSERT INTO `role_menu` (`id`, `role_id`, `menu_id`, `identifier`, `create_time`, `update_time`) VALUES (1854116823335698434, 1854116823323115520, 1834501061923045376, NULL, '2024-11-06 19:01:13', '2024-11-06 19:01:13');
INSERT INTO `role_menu` (`id`, `role_id`, `menu_id`, `identifier`, `create_time`, `update_time`) VALUES (1859271166338793472, 1854121363019661312, 1834500987037941760, NULL, '2024-11-21 00:22:44', '2024-11-21 00:22:44');
INSERT INTO `role_menu` (`id`, `role_id`, `menu_id`, `identifier`, `create_time`, `update_time`) VALUES (1859271166338793473, 1854121363019661312, 1834501029547212800, NULL, '2024-11-21 00:22:44', '2024-11-21 00:22:44');
INSERT INTO `role_menu` (`id`, `role_id`, `menu_id`, `identifier`, `create_time`, `update_time`) VALUES (1859271166338793474, 1854121363019661312, 1834501061923045376, NULL, '2024-11-21 00:22:44', '2024-11-21 00:22:44');
INSERT INTO `role_menu` (`id`, `role_id`, `menu_id`, `identifier`, `create_time`, `update_time`) VALUES (1859898030757511168, 1, 1834501029547212800, NULL, '2024-11-22 17:53:40', '2024-11-22 17:53:40');
INSERT INTO `role_menu` (`id`, `role_id`, `menu_id`, `identifier`, `create_time`, `update_time`) VALUES (1859898030757511169, 1, 1834500987037941760, NULL, '2024-11-22 17:53:40', '2024-11-22 17:53:40');
INSERT INTO `role_menu` (`id`, `role_id`, `menu_id`, `identifier`, `create_time`, `update_time`) VALUES (1859898030757511170, 1, 1834501061923045376, NULL, '2024-11-22 17:53:40', '2024-11-22 17:53:40');
INSERT INTO `role_menu` (`id`, `role_id`, `menu_id`, `identifier`, `create_time`, `update_time`) VALUES (1859898030757511171, 1, 1834501151140085760, NULL, '2024-11-22 17:53:40', '2024-11-22 17:53:40');
INSERT INTO `role_menu` (`id`, `role_id`, `menu_id`, `identifier`, `create_time`, `update_time`) VALUES (1859898030757511172, 1, 1834500910013743104, NULL, '2024-11-22 17:53:40', '2024-11-22 17:53:40');
COMMIT;

-- ----------------------------
-- Table structure for user
-- ----------------------------
DROP TABLE IF EXISTS `user`;
CREATE TABLE `user` (
                        `id` bigint NOT NULL,
                        `username` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '账户',
                        `password` text CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci COMMENT '密码',
                        `nickname` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '昵称',
                        `phone` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '手机号',
                        `picture` text CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci COMMENT '头像',
                        `is_enable` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '是否启用（1启用，0冻结）',
                        `create_time` timestamp NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
                        `update_time` timestamp NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
                        PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci ROW_FORMAT=DYNAMIC  COMMENT='用户表';

-- ----------------------------
-- Records of user
-- ----------------------------
BEGIN;
INSERT INTO `user` (`id`, `username`, `password`, `nickname`, `phone`, `picture`, `is_enable`, `create_time`, `update_time`) VALUES (1, 'admin', '7c4a8d09ca3762af61e59520943dc26494f8941b', 'admin', '13028138200', NULL, '1', '2024-08-30 10:17:10', '2024-10-25 10:14:24');
INSERT INTO `user` (`id`, `username`, `password`, `nickname`, `phone`, `picture`, `is_enable`, `create_time`, `update_time`) VALUES (1850801224132067328, 'test1', '7c4a8d09ca3762af61e59520943dc26494f8941b', '张四', '13012341234', NULL, '1', '2024-10-28 15:26:12', '2024-10-28 15:56:52');
INSERT INTO `user` (`id`, `username`, `password`, `nickname`, `phone`, `picture`, `is_enable`, `create_time`, `update_time`) VALUES (1850812935484473344, 'test2', '7c4a8d09ca3762af61e59520943dc26494f8941b', '王五', '13012341235', NULL, '1', '2024-10-28 16:12:44', '2024-10-28 16:12:44');
INSERT INTO `user` (`id`, `username`, `password`, `nickname`, `phone`, `picture`, `is_enable`, `create_time`, `update_time`) VALUES (1853726975508611072, '123d', '7c4a8d09ca3762af61e59520943dc26494f8941b', '123dd', '13333333331', NULL, '0', '2024-11-05 17:12:06', '2024-11-06 15:04:57');
INSERT INTO `user` (`id`, `username`, `password`, `nickname`, `phone`, `picture`, `is_enable`, `create_time`, `update_time`) VALUES (1859282476250169344, '123dd', '7c4a8d09ca3762af61e59520943dc26494f8941b', '安定', '13333333333', NULL, '1', '2024-11-21 01:07:40', '2024-11-21 01:07:40');
INSERT INTO `user` (`id`, `username`, `password`, `nickname`, `phone`, `picture`, `is_enable`, `create_time`, `update_time`) VALUES (1859283318915203072, 'dfg2', '7c4a8d09ca3762af61e59520943dc26494f8941b', '213安定', '13999999999', NULL, '1', '2024-11-21 01:11:01', '2024-11-21 01:11:01');
COMMIT;

-- ----------------------------
-- Table structure for user_department
-- ----------------------------
DROP TABLE IF EXISTS `user_department`;
CREATE TABLE `user_department` (
                                   `id` bigint NOT NULL,
                                   `user_id` bigint DEFAULT NULL COMMENT '用户id',
                                   `department_id` bigint DEFAULT NULL COMMENT '部门id',
                                   `create_time` timestamp NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
                                   `update_time` timestamp NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
                                   PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci ROW_FORMAT=DYNAMIC COMMENT='用户部门关联表';

-- ----------------------------
-- Records of user_department
-- ----------------------------
BEGIN;
INSERT INTO `user_department` (`id`, `user_id`, `department_id`, `create_time`, `update_time`) VALUES (1857847465089171456, 1850812935484473344, 1, '2024-11-17 02:05:27', '2024-11-17 02:05:27');
INSERT INTO `user_department` (`id`, `user_id`, `department_id`, `create_time`, `update_time`) VALUES (1859278803252019200, 1853726975508611072, 2, '2024-11-21 00:53:05', '2024-11-21 00:53:05');
INSERT INTO `user_department` (`id`, `user_id`, `department_id`, `create_time`, `update_time`) VALUES (1859282476338249728, 1859282476250169344, 2, '2024-11-21 01:07:40', '2024-11-21 01:07:40');
INSERT INTO `user_department` (`id`, `user_id`, `department_id`, `create_time`, `update_time`) VALUES (1859283318936174592, 1859283318915203072, 1, '2024-11-21 01:11:01', '2024-11-21 01:11:01');
COMMIT;

-- ----------------------------
-- Table structure for user_operation_record
-- ----------------------------
DROP TABLE IF EXISTS `user_operation_record`;
CREATE TABLE `user_operation_record` (
                                         `id` bigint NOT NULL,
                                         `type` int DEFAULT NULL COMMENT '日志类型（1登录 ）',
                                         `name` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '日志标题',
                                         `username` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '用户名',
                                         `uri` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '请求地址',
                                         `menu` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '菜单',
                                         `request` text CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci COMMENT '请求参数',
                                         `request_type` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '请求类型',
                                         `error_msg` text CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci COMMENT '错误消息',
                                         `cost_time` bigint DEFAULT NULL COMMENT '请求时间',
                                         `result` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '请求结果（0成功，1失败）',
                                         `ip` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '登录ip',
                                         `create_time` timestamp NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
                                         `update_time` timestamp NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
                                         PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci ROW_FORMAT=DYNAMIC COMMENT='用户操作记录表';

-- ----------------------------
-- Records of user_operation_record
-- ----------------------------
BEGIN;
COMMIT;

-- ----------------------------
-- Table structure for user_role
-- ----------------------------
DROP TABLE IF EXISTS `user_role`;
CREATE TABLE `user_role` (
                             `id` bigint NOT NULL,
                             `user_id` bigint DEFAULT NULL COMMENT '用户id',
                             `role_id` bigint DEFAULT NULL COMMENT '角色id',
                             `create_time` timestamp NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
                             `update_time` timestamp NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
                             PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci ROW_FORMAT=DYNAMIC  COMMENT='用户角色关联表';

-- ----------------------------
-- Records of user_role
-- ----------------------------
BEGIN;
INSERT INTO `user_role` (`id`, `user_id`, `role_id`, `create_time`, `update_time`) VALUES (1850808941676593152, 1850801224132067328, 1836575681450868736, '2024-10-28 15:56:52', '2024-10-28 15:56:52');
INSERT INTO `user_role` (`id`, `user_id`, `role_id`, `create_time`, `update_time`) VALUES (1857847465064005632, 1850812935484473344, 1836575681450868736, '2024-11-17 02:05:27', '2024-11-17 02:05:27');
INSERT INTO `user_role` (`id`, `user_id`, `role_id`, `create_time`, `update_time`) VALUES (1859278803231047680, 1853726975508611072, 1836581703372505088, '2024-11-21 00:53:05', '2024-11-21 00:53:05');
INSERT INTO `user_role` (`id`, `user_id`, `role_id`, `create_time`, `update_time`) VALUES (1859282476308889600, 1859282476250169344, 1836581703372505088, '2024-11-21 01:07:40', '2024-11-21 01:07:40');
INSERT INTO `user_role` (`id`, `user_id`, `role_id`, `create_time`, `update_time`) VALUES (1859283318923591680, 1859283318915203072, 1836581703372505088, '2024-11-21 01:11:01', '2024-11-21 01:11:01');
INSERT INTO `user_role` (`id`, `user_id`, `role_id`, `create_time`, `update_time`) VALUES (1859897951527108608, 1, 1, '2024-11-22 17:53:21', '2024-11-22 17:53:21');
COMMIT;

SET FOREIGN_KEY_CHECKS = 1;
